Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Partial Class ContratosDbHelper

#Region "Metodos Personalizados"
    ' Definir en esta region los metodos personalizados para el DbHelper
    Public Function EliminarContratos(idPlaza As Integer) As MSG
        Dim msg As New MSG("eliminar")
        Try
            Dim QueryObject = Me.CreateQueryObject

            QueryObject.CreateQuery("delete from Contratos where idPlaza=@idPlaza")
            QueryObject.AddParameter("@idPlaza", SqlDbType.Int, idPlaza)

            msg = QueryObject.ExecuteNonQuery
            Return msg
        Catch ex As Exception
            msg.FriendlyMessage = "No fue eliminar los contratos"
            msg.TechnicalMessage = ex.Message
            Return msg
        End Try

    End Function
#End Region
End Class
